SPIDatabaseMetaData
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava.jdbc
Class SPIDatabaseMetaData

    java.lang.Object
      org.postgresql.pljava.jdbc.SPIDatabaseMetaData

All Implemented Interfaces:
  java.sql.DatabaseMetaData, java.sql.Wrapper

    public class SPIDatabaseMetaData

extends java.lang.Object
implements java.sql.DatabaseMetaData

Field Summary

Fields inherited from interface java.sql.DatabaseMetaData
`attributeNoNulls, attributeNullable, attributeNullableUnknown, bestRowNotPseudo, bestRowPseudo, bestRowSession, bestRowTemporary, bestRowTransaction, bestRowUnknown, columnNoNulls, columnNullable, columnNullableUnknown, functionColumnIn, functionColumnInOut, functionColumnOut, functionColumnResult, functionColumnUnknown, functionNoNulls, functionNoTable, functionNullable, functionNullableUnknown, functionResultUnknown, functionReturn, functionReturnsTable, importedKeyCascade, importedKeyInitiallyDeferred, importedKeyInitiallyImmediate, importedKeyNoAction, importedKeyNotDeferrable, importedKeyRestrict, importedKeySetDefault, importedKeySetNull, procedureColumnIn, procedureColumnInOut, procedureColumnOut, procedureColumnResult, procedureColumnReturn, procedureColumnUnknown, procedureNoNulls, procedureNoResult, procedureNullable, procedureNullableUnknown, procedureResultUnknown, procedureReturnsResult, sqlStateSQL, sqlStateSQL99, sqlStateXOpen, tableIndexClustered, tableIndexHashed, tableIndexOther, tableIndexStatistic, typeNoNulls, typeNullable, typeNullableUnknown, typePredBasic, typePredChar, typePredNone, typeSearchable, versionColumnNotPseudo, versionColumnPseudo, versionColumnUnknown`

Constructor Summary
`SPIDatabaseMetaData(SPIConnection conn)`

Method Summary
`boolean` | `allProceduresAreCallable()`
`boolean` | `allTablesAreSelectable()`
`boolean` | `autoCommitFailureClosesAllResultSets()`
`boolean` | `dataDefinitionCausesTransactionCommit()`
`boolean` | `dataDefinitionIgnoredInTransactions()`
`boolean` | `deletesAreDetected(int i)`
`boolean` | `doesMaxRowSizeIncludeBlobs()`
`java.sql.ResultSet` | `getAttributes(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String typeNamePattern, java.lang.String attributeNamePattern)` Retrieves a description of the given attribute of the given type for a user-defined type (UDT) that is available in the given schema and catalog.
`java.sql.ResultSet` | `getBestRowIdentifier(java.lang.String catalog, java.lang.String schema, java.lang.String table, int scope, boolean nullable)`
`java.sql.ResultSet` | `getCatalogs()`
`java.lang.String` | `getCatalogSeparator()`
`java.lang.String` | `getCatalogTerm()`
`java.sql.ResultSet` | `getClientInfoProperties()`
`java.sql.ResultSet` | `getColumnPrivileges(java.lang.String catalog, java.lang.String schema, java.lang.String table, java.lang.String columnNamePattern)`
`java.sql.ResultSet` | `getColumns(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern, java.lang.String columnNamePattern)`
`java.sql.Connection` | `getConnection()`
`java.sql.ResultSet` | `getCrossReference(java.lang.String primaryCatalog, java.lang.String primarySchema, java.lang.String primaryTable, java.lang.String foreignCatalog, java.lang.String foreignSchema, java.lang.String foreignTable)`
`int` | `getDatabaseMajorVersion()` Retrieves the major version number of the underlying database.
`int` | `getDatabaseMinorVersion()` Retrieves the minor version number of the underlying database.
`java.lang.String` | `getDatabaseProductName()`
`java.lang.String` | `getDatabaseProductVersion()`
`int` | `getDefaultTransactionIsolation()`
`int` | `getDriverMajorVersion()`
`int` | `getDriverMinorVersion()`
`java.lang.String` | `getDriverName()`
`java.lang.String` | `getDriverVersion()`
`java.sql.ResultSet` | `getExportedKeys(java.lang.String catalog, java.lang.String schema, java.lang.String table)`
`java.lang.String` | `getExtraNameCharacters()`
`java.sql.ResultSet` | `getFunctionColumns(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String functionNamePattern, java.lang.String columnNamePattern)`
`java.sql.ResultSet` | `getFunctions(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String functionNamePattern)`
`java.lang.String` | `getIdentifierQuoteString()`
`protected java.sql.ResultSet` | `getImportedExportedKeys(java.lang.String primaryCatalog, java.lang.String primarySchema, java.lang.String primaryTable, java.lang.String foreignCatalog, java.lang.String foreignSchema, java.lang.String foreignTable)`
`java.sql.ResultSet` | `getImportedKeys(java.lang.String catalog, java.lang.String schema, java.lang.String table)`
`java.sql.ResultSet` | `getIndexInfo(java.lang.String catalog, java.lang.String schema, java.lang.String tableName, boolean unique, boolean approximate)`
`int` | `getJDBCMajorVersion()` Retrieves the major JDBC version number for this driver.
`int` | `getJDBCMinorVersion()` Retrieves the minor JDBC version number for this driver.
`int` | `getMaxBinaryLiteralLength()`
`int` | `getMaxCatalogNameLength()`
`int` | `getMaxCharLiteralLength()`
`int` | `getMaxColumnNameLength()`
`int` | `getMaxColumnsInGroupBy()`
`int` | `getMaxColumnsInIndex()`
`int` | `getMaxColumnsInOrderBy()`
`int` | `getMaxColumnsInSelect()`
`int` | `getMaxColumnsInTable()`
`int` | `getMaxConnections()`
`int` | `getMaxCursorNameLength()`
`protected int` | `getMaxIndexKeys()`
`int` | `getMaxIndexLength()`
`protected int` | `getMaxNameLength()`
`int` | `getMaxProcedureNameLength()`
`int` | `getMaxRowSize()`
`int` | `getMaxSchemaNameLength()`
`int` | `getMaxStatementLength()`
`int` | `getMaxStatements()`
`int` | `getMaxTableNameLength()`
`int` | `getMaxTablesInSelect()`
`int` | `getMaxUserNameLength()`
`java.lang.String` | `getNumericFunctions()` get supported escaped numeric functions
`java.sql.ResultSet` | `getPrimaryKeys(java.lang.String catalog, java.lang.String schema, java.lang.String table)`
`java.sql.ResultSet` | `getProcedureColumns(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String procedureNamePattern, java.lang.String columnNamePattern)`
`java.sql.ResultSet` | `getProcedures(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String procedureNamePattern)`
`java.lang.String` | `getProcedureTerm()`
`int` | `getResultSetHoldability()` Retrieves the default holdability of this `ResultSet` object.
`java.sql.RowIdLifetime` | `getRowIdLifetime()`
`java.sql.ResultSet` | `getSchemas()`
`java.sql.ResultSet` | `getSchemas(java.lang.String catalog, java.lang.String schemaPattern)`
`java.lang.String` | `getSchemaTerm()`
`java.lang.String` | `getSearchStringEscape()`
`java.lang.String` | `getSQLKeywords()`
`int` | `getSQLStateType()` Indicates whether the SQLSTATEs returned by `SQLException.getSQLState` is X/Open (now known as Open Group) SQL CLI or SQL99.
`java.lang.String` | `getStringFunctions()`
`java.sql.ResultSet` | `getSuperTables(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern)` Retrieves a description of the table hierarchies defined in a particular schema in this database.
`java.sql.ResultSet` | `getSuperTypes(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String typeNamePattern)` Retrieves a description of the user-defined type (UDT) hierarchies defined in a particular schema in this database.
`java.lang.String` | `getSystemFunctions()`
`java.sql.ResultSet` | `getTablePrivileges(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern)`
`java.sql.ResultSet` | `getTables(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern, java.lang.String[] types)`
`java.sql.ResultSet` | `getTableTypes()`
`java.lang.String` | `getTimeDateFunctions()`
`java.sql.ResultSet` | `getTypeInfo()`
`java.sql.ResultSet` | `getUDTs(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String typeNamePattern, int[] types)`
`java.lang.String` | `getURL()`
`java.lang.String` | `getUserName()`
`java.sql.ResultSet` | `getVersionColumns(java.lang.String catalog, java.lang.String schema, java.lang.String table)`
`boolean` | `insertsAreDetected(int type)`
`boolean` | `isCatalogAtStart()`
`boolean` | `isReadOnly()`
`boolean` | `isWrapperFor(java.lang.Class<?> iface)`
`boolean` | `locatorsUpdateCopy()` Indicates whether updates made to a LOB are made on a copy or directly to the LOB.
`boolean` | `nullPlusNonNullIsNull()`
`boolean` | `nullsAreSortedAtEnd()`
`boolean` | `nullsAreSortedAtStart()`
`boolean` | `nullsAreSortedHigh()`
`boolean` | `nullsAreSortedLow()`
`boolean` | `othersDeletesAreVisible(int i)`
`boolean` | `othersInsertsAreVisible(int type)`
`boolean` | `othersUpdatesAreVisible(int type)`
`boolean` | `ownDeletesAreVisible(int type)`
`boolean` | `ownInsertsAreVisible(int type)`
`boolean` | `ownUpdatesAreVisible(int type)`
`protected java.util.HashMap<java.lang.String,java.util.ArrayList<java.lang.String>>` | `parseACL(java.lang.String[] aclArray, java.lang.String owner)` Take the a String representing an array of ACLs and return a HashMap mapping the SQL permission name to a ArrayList of usernames who have that permission.
`boolean` | `rowChangesAreDetected(int type)`
`boolean` | `rowChangesAreVisible(int type)`
`boolean` | `storesLowerCaseIdentifiers()`
`boolean` | `storesLowerCaseQuotedIdentifiers()`
`boolean` | `storesMixedCaseIdentifiers()`
`boolean` | `storesMixedCaseQuotedIdentifiers()`
`boolean` | `storesUpperCaseIdentifiers()`
`boolean` | `storesUpperCaseQuotedIdentifiers()`
`boolean` | `supportsAlterTableWithAddColumn()`
`boolean` | `supportsAlterTableWithDropColumn()`
`boolean` | `supportsANSI92EntryLevelSQL()`
`boolean` | `supportsANSI92FullSQL()`
`boolean` | `supportsANSI92IntermediateSQL()`
`boolean` | `supportsBatchUpdates()`
`boolean` | `supportsCatalogsInDataManipulation()`
`boolean` | `supportsCatalogsInIndexDefinitions()`
`boolean` | `supportsCatalogsInPrivilegeDefinitions()`
`boolean` | `supportsCatalogsInProcedureCalls()`
`boolean` | `supportsCatalogsInTableDefinitions()`
`boolean` | `supportsColumnAliasing()`
`boolean` | `supportsConvert()`
`boolean` | `supportsConvert(int fromType, int toType)`
`boolean` | `supportsCoreSQLGrammar()`
`boolean` | `supportsCorrelatedSubqueries()`
`boolean` | `supportsDataDefinitionAndDataManipulationTransactions()`
`boolean` | `supportsDataManipulationTransactionsOnly()`
`boolean` | `supportsDifferentTableCorrelationNames()`
`boolean` | `supportsExpressionsInOrderBy()`
`boolean` | `supportsExtendedSQLGrammar()`
`boolean` | `supportsFullOuterJoins()`
`boolean` | `supportsGetGeneratedKeys()` Retrieves whether auto-generated keys can be retrieved after a statement has been executed.
`boolean` | `supportsGroupBy()`
`boolean` | `supportsGroupByBeyondSelect()`
`boolean` | `supportsGroupByUnrelated()`
`boolean` | `supportsIntegrityEnhancementFacility()`
`boolean` | `supportsLikeEscapeClause()`
`boolean` | `supportsLimitedOuterJoins()`
`boolean` | `supportsMinimumSQLGrammar()`
`boolean` | `supportsMixedCaseIdentifiers()`
`boolean` | `supportsMixedCaseQuotedIdentifiers()`
`boolean` | `supportsMultipleOpenResults()` Retrieves whether it is possible to have multiple `ResultSet` objects returned from a `CallableStatement` object simultaneously.
`boolean` | `supportsMultipleResultSets()`
`boolean` | `supportsMultipleTransactions()`
`boolean` | `supportsNamedParameters()` Retrieves whether this database supports named parameters to callable statements.
`boolean` | `supportsNonNullableColumns()`
`boolean` | `supportsOpenCursorsAcrossCommit()`
`boolean` | `supportsOpenCursorsAcrossRollback()`
`boolean` | `supportsOpenStatementsAcrossCommit()`
`boolean` | `supportsOpenStatementsAcrossRollback()`
`boolean` | `supportsOrderByUnrelated()`
`boolean` | `supportsOuterJoins()`
`boolean` | `supportsPositionedDelete()`
`boolean` | `supportsPositionedUpdate()`
`boolean` | `supportsResultSetConcurrency(int type, int concurrency)`
`boolean` | `supportsResultSetHoldability(int holdability)` Retrieves whether this database supports the given result set holdability.
`boolean` | `supportsResultSetType(int type)`
`boolean` | `supportsSavepoints()` Retrieves whether this database supports savepoints.
`boolean` | `supportsSchemasInDataManipulation()`
`boolean` | `supportsSchemasInIndexDefinitions()`
`boolean` | `supportsSchemasInPrivilegeDefinitions()`
`boolean` | `supportsSchemasInProcedureCalls()`
`boolean` | `supportsSchemasInTableDefinitions()`
`boolean` | `supportsSelectForUpdate()`
`boolean` | `supportsStatementPooling()` Retrieves weather this database supports statement pooling.
`boolean` | `supportsStoredFunctionsUsingCallSyntax()`
`boolean` | `supportsStoredProcedures()`
`boolean` | `supportsSubqueriesInComparisons()`
`boolean` | `supportsSubqueriesInExists()`
`boolean` | `supportsSubqueriesInIns()`
`boolean` | `supportsSubqueriesInQuantifieds()`
`boolean` | `supportsTableCorrelationNames()`
`boolean` | `supportsTransactionIsolationLevel(int level)`
`boolean` | `supportsTransactions()`
`boolean` | `supportsUnion()`
`boolean` | `supportsUnionAll()`
`
`<T> T`
` | `unwrap(java.lang.Class<T> iface)`
`boolean` | `updatesAreDetected(int type)`
`boolean` | `usesLocalFilePerTable()`
`boolean` | `usesLocalFiles()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPIDatabaseMetaData

    public SPIDatabaseMetaData(SPIConnection conn)

Method Detail

### getMaxIndexKeys

    protected int getMaxIndexKeys()
                           throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getMaxNameLength

    protected int getMaxNameLength()
                            throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### allProceduresAreCallable

    public boolean allProceduresAreCallable()
                                     throws java.sql.SQLException

  Specified by:
    `allProceduresAreCallable` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### allTablesAreSelectable

    public boolean allTablesAreSelectable()
                                   throws java.sql.SQLException

  Specified by:
    `allTablesAreSelectable` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getURL

    public java.lang.String getURL()
                            throws java.sql.SQLException

  Specified by:
    `getURL` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getUserName

    public java.lang.String getUserName()
                                 throws java.sql.SQLException

  Specified by:
    `getUserName` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### isReadOnly

    public boolean isReadOnly()
                       throws java.sql.SQLException

  Specified by:
    `isReadOnly` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### nullsAreSortedHigh

    public boolean nullsAreSortedHigh()
                               throws java.sql.SQLException

  Specified by:
    `nullsAreSortedHigh` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### nullsAreSortedLow

    public boolean nullsAreSortedLow()
                              throws java.sql.SQLException

  Specified by:
    `nullsAreSortedLow` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### nullsAreSortedAtStart

    public boolean nullsAreSortedAtStart()
                                  throws java.sql.SQLException

  Specified by:
    `nullsAreSortedAtStart` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### nullsAreSortedAtEnd

    public boolean nullsAreSortedAtEnd()
                                throws java.sql.SQLException

  Specified by:
    `nullsAreSortedAtEnd` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getDatabaseProductName

    public java.lang.String getDatabaseProductName()
                                            throws java.sql.SQLException

  Specified by:
    `getDatabaseProductName` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getDatabaseProductVersion

    public java.lang.String getDatabaseProductVersion()
                                               throws java.sql.SQLException

  Specified by:
    `getDatabaseProductVersion` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getDriverName

    public java.lang.String getDriverName()
                                   throws java.sql.SQLException

  Specified by:
    `getDriverName` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getDriverVersion

    public java.lang.String getDriverVersion()
                                      throws java.sql.SQLException

  Specified by:
    `getDriverVersion` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getDriverMajorVersion

    public int getDriverMajorVersion()

  Specified by:
    `getDriverMajorVersion` in interface `java.sql.DatabaseMetaData`

### getDriverMinorVersion

    public int getDriverMinorVersion()

  Specified by:
    `getDriverMinorVersion` in interface `java.sql.DatabaseMetaData`

### usesLocalFiles

    public boolean usesLocalFiles()
                           throws java.sql.SQLException

  Specified by:
    `usesLocalFiles` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### usesLocalFilePerTable

    public boolean usesLocalFilePerTable()
                                  throws java.sql.SQLException

  Specified by:
    `usesLocalFilePerTable` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsMixedCaseIdentifiers

    public boolean supportsMixedCaseIdentifiers()
                                         throws java.sql.SQLException

  Specified by:
    `supportsMixedCaseIdentifiers` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### storesUpperCaseIdentifiers

    public boolean storesUpperCaseIdentifiers()
                                       throws java.sql.SQLException

  Specified by:
    `storesUpperCaseIdentifiers` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### storesLowerCaseIdentifiers

    public boolean storesLowerCaseIdentifiers()
                                       throws java.sql.SQLException

  Specified by:
    `storesLowerCaseIdentifiers` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### storesMixedCaseIdentifiers

    public boolean storesMixedCaseIdentifiers()
                                       throws java.sql.SQLException

  Specified by:
    `storesMixedCaseIdentifiers` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsMixedCaseQuotedIdentifiers

    public boolean supportsMixedCaseQuotedIdentifiers()
                                               throws java.sql.SQLException

  Specified by:
    `supportsMixedCaseQuotedIdentifiers` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### storesUpperCaseQuotedIdentifiers

    public boolean storesUpperCaseQuotedIdentifiers()
                                             throws java.sql.SQLException

  Specified by:
    `storesUpperCaseQuotedIdentifiers` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### storesLowerCaseQuotedIdentifiers

    public boolean storesLowerCaseQuotedIdentifiers()
                                             throws java.sql.SQLException

  Specified by:
    `storesLowerCaseQuotedIdentifiers` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### storesMixedCaseQuotedIdentifiers

    public boolean storesMixedCaseQuotedIdentifiers()
                                             throws java.sql.SQLException

  Specified by:
    `storesMixedCaseQuotedIdentifiers` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getIdentifierQuoteString

    public java.lang.String getIdentifierQuoteString()
                                              throws java.sql.SQLException

  Specified by:
    `getIdentifierQuoteString` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getSQLKeywords

    public java.lang.String getSQLKeywords()
                                    throws java.sql.SQLException

  Specified by:
    `getSQLKeywords` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getNumericFunctions

    public java.lang.String getNumericFunctions()
                                         throws java.sql.SQLException

  get supported escaped numeric functions

  Specified by:
    `getNumericFunctions` in interface `java.sql.DatabaseMetaData`
  Returns:
    a comma separated list of function names
  Throws:
    `java.sql.SQLException`

### getStringFunctions

    public java.lang.String getStringFunctions()
                                        throws java.sql.SQLException

  Specified by:
    `getStringFunctions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getSystemFunctions

    public java.lang.String getSystemFunctions()
                                        throws java.sql.SQLException

  Specified by:
    `getSystemFunctions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getTimeDateFunctions

    public java.lang.String getTimeDateFunctions()
                                          throws java.sql.SQLException

  Specified by:
    `getTimeDateFunctions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getSearchStringEscape

    public java.lang.String getSearchStringEscape()
                                           throws java.sql.SQLException

  Specified by:
    `getSearchStringEscape` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getExtraNameCharacters

    public java.lang.String getExtraNameCharacters()
                                            throws java.sql.SQLException

  Specified by:
    `getExtraNameCharacters` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsAlterTableWithAddColumn

    public boolean supportsAlterTableWithAddColumn()
                                            throws java.sql.SQLException

  Specified by:
    `supportsAlterTableWithAddColumn` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsAlterTableWithDropColumn

    public boolean supportsAlterTableWithDropColumn()
                                             throws java.sql.SQLException

  Specified by:
    `supportsAlterTableWithDropColumn` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsColumnAliasing

    public boolean supportsColumnAliasing()
                                   throws java.sql.SQLException

  Specified by:
    `supportsColumnAliasing` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### nullPlusNonNullIsNull

    public boolean nullPlusNonNullIsNull()
                                  throws java.sql.SQLException

  Specified by:
    `nullPlusNonNullIsNull` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsConvert

    public boolean supportsConvert()
                            throws java.sql.SQLException

  Specified by:
    `supportsConvert` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsConvert

    public boolean supportsConvert(int fromType,
                                   int toType)
                            throws java.sql.SQLException

  Specified by:
    `supportsConvert` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsTableCorrelationNames

    public boolean supportsTableCorrelationNames()
                                          throws java.sql.SQLException

  Specified by:
    `supportsTableCorrelationNames` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsDifferentTableCorrelationNames

    public boolean supportsDifferentTableCorrelationNames()
                                                   throws java.sql.SQLException

  Specified by:
    `supportsDifferentTableCorrelationNames` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsExpressionsInOrderBy

    public boolean supportsExpressionsInOrderBy()
                                         throws java.sql.SQLException

  Specified by:
    `supportsExpressionsInOrderBy` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsOrderByUnrelated

    public boolean supportsOrderByUnrelated()
                                     throws java.sql.SQLException

  Specified by:
    `supportsOrderByUnrelated` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsGroupBy

    public boolean supportsGroupBy()
                            throws java.sql.SQLException

  Specified by:
    `supportsGroupBy` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsGroupByUnrelated

    public boolean supportsGroupByUnrelated()
                                     throws java.sql.SQLException

  Specified by:
    `supportsGroupByUnrelated` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsGroupByBeyondSelect

    public boolean supportsGroupByBeyondSelect()
                                        throws java.sql.SQLException

  Specified by:
    `supportsGroupByBeyondSelect` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsLikeEscapeClause

    public boolean supportsLikeEscapeClause()
                                     throws java.sql.SQLException

  Specified by:
    `supportsLikeEscapeClause` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsMultipleResultSets

    public boolean supportsMultipleResultSets()
                                       throws java.sql.SQLException

  Specified by:
    `supportsMultipleResultSets` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsMultipleTransactions

    public boolean supportsMultipleTransactions()
                                         throws java.sql.SQLException

  Specified by:
    `supportsMultipleTransactions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsNonNullableColumns

    public boolean supportsNonNullableColumns()
                                       throws java.sql.SQLException

  Specified by:
    `supportsNonNullableColumns` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsMinimumSQLGrammar

    public boolean supportsMinimumSQLGrammar()
                                      throws java.sql.SQLException

  Specified by:
    `supportsMinimumSQLGrammar` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsCoreSQLGrammar

    public boolean supportsCoreSQLGrammar()
                                   throws java.sql.SQLException

  Specified by:
    `supportsCoreSQLGrammar` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsExtendedSQLGrammar

    public boolean supportsExtendedSQLGrammar()
                                       throws java.sql.SQLException

  Specified by:
    `supportsExtendedSQLGrammar` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsANSI92EntryLevelSQL

    public boolean supportsANSI92EntryLevelSQL()
                                        throws java.sql.SQLException

  Specified by:
    `supportsANSI92EntryLevelSQL` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsANSI92IntermediateSQL

    public boolean supportsANSI92IntermediateSQL()
                                          throws java.sql.SQLException

  Specified by:
    `supportsANSI92IntermediateSQL` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsANSI92FullSQL

    public boolean supportsANSI92FullSQL()
                                  throws java.sql.SQLException

  Specified by:
    `supportsANSI92FullSQL` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsIntegrityEnhancementFacility

    public boolean supportsIntegrityEnhancementFacility()
                                                 throws java.sql.SQLException

  Specified by:
    `supportsIntegrityEnhancementFacility` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsOuterJoins

    public boolean supportsOuterJoins()
                               throws java.sql.SQLException

  Specified by:
    `supportsOuterJoins` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsFullOuterJoins

    public boolean supportsFullOuterJoins()
                                   throws java.sql.SQLException

  Specified by:
    `supportsFullOuterJoins` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsLimitedOuterJoins

    public boolean supportsLimitedOuterJoins()
                                      throws java.sql.SQLException

  Specified by:
    `supportsLimitedOuterJoins` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getSchemaTerm

    public java.lang.String getSchemaTerm()
                                   throws java.sql.SQLException

  Specified by:
    `getSchemaTerm` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getProcedureTerm

    public java.lang.String getProcedureTerm()
                                      throws java.sql.SQLException

  Specified by:
    `getProcedureTerm` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getCatalogTerm

    public java.lang.String getCatalogTerm()
                                    throws java.sql.SQLException

  Specified by:
    `getCatalogTerm` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### isCatalogAtStart

    public boolean isCatalogAtStart()
                             throws java.sql.SQLException

  Specified by:
    `isCatalogAtStart` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getCatalogSeparator

    public java.lang.String getCatalogSeparator()
                                         throws java.sql.SQLException

  Specified by:
    `getCatalogSeparator` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsSchemasInDataManipulation

    public boolean supportsSchemasInDataManipulation()
                                              throws java.sql.SQLException

  Specified by:
    `supportsSchemasInDataManipulation` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsSchemasInProcedureCalls

    public boolean supportsSchemasInProcedureCalls()
                                            throws java.sql.SQLException

  Specified by:
    `supportsSchemasInProcedureCalls` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsSchemasInTableDefinitions

    public boolean supportsSchemasInTableDefinitions()
                                              throws java.sql.SQLException

  Specified by:
    `supportsSchemasInTableDefinitions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsSchemasInIndexDefinitions

    public boolean supportsSchemasInIndexDefinitions()
                                              throws java.sql.SQLException

  Specified by:
    `supportsSchemasInIndexDefinitions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsSchemasInPrivilegeDefinitions

    public boolean supportsSchemasInPrivilegeDefinitions()
                                                  throws java.sql.SQLException

  Specified by:
    `supportsSchemasInPrivilegeDefinitions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsCatalogsInDataManipulation

    public boolean supportsCatalogsInDataManipulation()
                                               throws java.sql.SQLException

  Specified by:
    `supportsCatalogsInDataManipulation` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsCatalogsInProcedureCalls

    public boolean supportsCatalogsInProcedureCalls()
                                             throws java.sql.SQLException

  Specified by:
    `supportsCatalogsInProcedureCalls` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsCatalogsInTableDefinitions

    public boolean supportsCatalogsInTableDefinitions()
                                               throws java.sql.SQLException

  Specified by:
    `supportsCatalogsInTableDefinitions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsCatalogsInIndexDefinitions

    public boolean supportsCatalogsInIndexDefinitions()
                                               throws java.sql.SQLException

  Specified by:
    `supportsCatalogsInIndexDefinitions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsCatalogsInPrivilegeDefinitions

    public boolean supportsCatalogsInPrivilegeDefinitions()
                                                   throws java.sql.SQLException

  Specified by:
    `supportsCatalogsInPrivilegeDefinitions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsPositionedDelete

    public boolean supportsPositionedDelete()
                                     throws java.sql.SQLException

  Specified by:
    `supportsPositionedDelete` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsPositionedUpdate

    public boolean supportsPositionedUpdate()
                                     throws java.sql.SQLException

  Specified by:
    `supportsPositionedUpdate` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsSelectForUpdate

    public boolean supportsSelectForUpdate()
                                    throws java.sql.SQLException

  Specified by:
    `supportsSelectForUpdate` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsStoredProcedures

    public boolean supportsStoredProcedures()
                                     throws java.sql.SQLException

  Specified by:
    `supportsStoredProcedures` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsSubqueriesInComparisons

    public boolean supportsSubqueriesInComparisons()
                                            throws java.sql.SQLException

  Specified by:
    `supportsSubqueriesInComparisons` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsSubqueriesInExists

    public boolean supportsSubqueriesInExists()
                                       throws java.sql.SQLException

  Specified by:
    `supportsSubqueriesInExists` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsSubqueriesInIns

    public boolean supportsSubqueriesInIns()
                                    throws java.sql.SQLException

  Specified by:
    `supportsSubqueriesInIns` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsSubqueriesInQuantifieds

    public boolean supportsSubqueriesInQuantifieds()
                                            throws java.sql.SQLException

  Specified by:
    `supportsSubqueriesInQuantifieds` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsCorrelatedSubqueries

    public boolean supportsCorrelatedSubqueries()
                                         throws java.sql.SQLException

  Specified by:
    `supportsCorrelatedSubqueries` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsUnion

    public boolean supportsUnion()
                          throws java.sql.SQLException

  Specified by:
    `supportsUnion` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsUnionAll

    public boolean supportsUnionAll()
                             throws java.sql.SQLException

  Specified by:
    `supportsUnionAll` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsOpenCursorsAcrossCommit

    public boolean supportsOpenCursorsAcrossCommit()
                                            throws java.sql.SQLException

  Specified by:
    `supportsOpenCursorsAcrossCommit` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsOpenCursorsAcrossRollback

    public boolean supportsOpenCursorsAcrossRollback()
                                              throws java.sql.SQLException

  Specified by:
    `supportsOpenCursorsAcrossRollback` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsOpenStatementsAcrossCommit

    public boolean supportsOpenStatementsAcrossCommit()
                                               throws java.sql.SQLException

  Specified by:
    `supportsOpenStatementsAcrossCommit` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsOpenStatementsAcrossRollback

    public boolean supportsOpenStatementsAcrossRollback()
                                                 throws java.sql.SQLException

  Specified by:
    `supportsOpenStatementsAcrossRollback` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxBinaryLiteralLength

    public int getMaxBinaryLiteralLength()
                                  throws java.sql.SQLException

  Specified by:
    `getMaxBinaryLiteralLength` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxCharLiteralLength

    public int getMaxCharLiteralLength()
                                throws java.sql.SQLException

  Specified by:
    `getMaxCharLiteralLength` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxColumnNameLength

    public int getMaxColumnNameLength()
                               throws java.sql.SQLException

  Specified by:
    `getMaxColumnNameLength` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxColumnsInGroupBy

    public int getMaxColumnsInGroupBy()
                               throws java.sql.SQLException

  Specified by:
    `getMaxColumnsInGroupBy` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxColumnsInIndex

    public int getMaxColumnsInIndex()
                             throws java.sql.SQLException

  Specified by:
    `getMaxColumnsInIndex` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxColumnsInOrderBy

    public int getMaxColumnsInOrderBy()
                               throws java.sql.SQLException

  Specified by:
    `getMaxColumnsInOrderBy` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxColumnsInSelect

    public int getMaxColumnsInSelect()
                              throws java.sql.SQLException

  Specified by:
    `getMaxColumnsInSelect` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxColumnsInTable

    public int getMaxColumnsInTable()
                             throws java.sql.SQLException

  Specified by:
    `getMaxColumnsInTable` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxConnections

    public int getMaxConnections()
                          throws java.sql.SQLException

  Specified by:
    `getMaxConnections` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxCursorNameLength

    public int getMaxCursorNameLength()
                               throws java.sql.SQLException

  Specified by:
    `getMaxCursorNameLength` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxIndexLength

    public int getMaxIndexLength()
                          throws java.sql.SQLException

  Specified by:
    `getMaxIndexLength` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxSchemaNameLength

    public int getMaxSchemaNameLength()
                               throws java.sql.SQLException

  Specified by:
    `getMaxSchemaNameLength` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxProcedureNameLength

    public int getMaxProcedureNameLength()
                                  throws java.sql.SQLException

  Specified by:
    `getMaxProcedureNameLength` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxCatalogNameLength

    public int getMaxCatalogNameLength()
                                throws java.sql.SQLException

  Specified by:
    `getMaxCatalogNameLength` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxRowSize

    public int getMaxRowSize()
                      throws java.sql.SQLException

  Specified by:
    `getMaxRowSize` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### doesMaxRowSizeIncludeBlobs

    public boolean doesMaxRowSizeIncludeBlobs()
                                       throws java.sql.SQLException

  Specified by:
    `doesMaxRowSizeIncludeBlobs` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxStatementLength

    public int getMaxStatementLength()
                              throws java.sql.SQLException

  Specified by:
    `getMaxStatementLength` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxStatements

    public int getMaxStatements()
                         throws java.sql.SQLException

  Specified by:
    `getMaxStatements` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxTableNameLength

    public int getMaxTableNameLength()
                              throws java.sql.SQLException

  Specified by:
    `getMaxTableNameLength` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxTablesInSelect

    public int getMaxTablesInSelect()
                             throws java.sql.SQLException

  Specified by:
    `getMaxTablesInSelect` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxUserNameLength

    public int getMaxUserNameLength()
                             throws java.sql.SQLException

  Specified by:
    `getMaxUserNameLength` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getDefaultTransactionIsolation

    public int getDefaultTransactionIsolation()
                                       throws java.sql.SQLException

  Specified by:
    `getDefaultTransactionIsolation` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsTransactions

    public boolean supportsTransactions()
                                 throws java.sql.SQLException

  Specified by:
    `supportsTransactions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsTransactionIsolationLevel

    public boolean supportsTransactionIsolationLevel(int level)
                                              throws java.sql.SQLException

  Specified by:
    `supportsTransactionIsolationLevel` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsDataDefinitionAndDataManipulationTransactions

    public boolean supportsDataDefinitionAndDataManipulationTransactions()
                                                                  throws java.sql.SQLException

  Specified by:
    `supportsDataDefinitionAndDataManipulationTransactions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsDataManipulationTransactionsOnly

    public boolean supportsDataManipulationTransactionsOnly()
                                                     throws java.sql.SQLException

  Specified by:
    `supportsDataManipulationTransactionsOnly` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### dataDefinitionCausesTransactionCommit

    public boolean dataDefinitionCausesTransactionCommit()
                                                  throws java.sql.SQLException

  Specified by:
    `dataDefinitionCausesTransactionCommit` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### dataDefinitionIgnoredInTransactions

    public boolean dataDefinitionIgnoredInTransactions()
                                                throws java.sql.SQLException

  Specified by:
    `dataDefinitionIgnoredInTransactions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getProcedures

    public java.sql.ResultSet getProcedures(java.lang.String catalog,
                                            java.lang.String schemaPattern,
                                            java.lang.String procedureNamePattern)
                                     throws java.sql.SQLException

  Specified by:
    `getProcedures` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getProcedureColumns

    public java.sql.ResultSet getProcedureColumns(java.lang.String catalog,
                                                  java.lang.String schemaPattern,
                                                  java.lang.String procedureNamePattern,
                                                  java.lang.String columnNamePattern)
                                           throws java.sql.SQLException

  Specified by:
    `getProcedureColumns` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getTables

    public java.sql.ResultSet getTables(java.lang.String catalog,
                                        java.lang.String schemaPattern,
                                        java.lang.String tableNamePattern,
                                        java.lang.String[] types)
                                 throws java.sql.SQLException

  Specified by:
    `getTables` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getSchemas

    public java.sql.ResultSet getSchemas()
                                  throws java.sql.SQLException

  Specified by:
    `getSchemas` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getCatalogs

    public java.sql.ResultSet getCatalogs()
                                   throws java.sql.SQLException

  Specified by:
    `getCatalogs` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getTableTypes

    public java.sql.ResultSet getTableTypes()
                                     throws java.sql.SQLException

  Specified by:
    `getTableTypes` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getColumns

    public java.sql.ResultSet getColumns(java.lang.String catalog,
                                         java.lang.String schemaPattern,
                                         java.lang.String tableNamePattern,
                                         java.lang.String columnNamePattern)
                                  throws java.sql.SQLException

  Specified by:
    `getColumns` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getColumnPrivileges

    public java.sql.ResultSet getColumnPrivileges(java.lang.String catalog,
                                                  java.lang.String schema,
                                                  java.lang.String table,
                                                  java.lang.String columnNamePattern)
                                           throws java.sql.SQLException

  Specified by:
    `getColumnPrivileges` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getTablePrivileges

    public java.sql.ResultSet getTablePrivileges(java.lang.String catalog,
                                                 java.lang.String schemaPattern,
                                                 java.lang.String tableNamePattern)
                                          throws java.sql.SQLException

  Specified by:
    `getTablePrivileges` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### parseACL

    protected java.util.HashMap<java.lang.String,java.util.ArrayList<java.lang.String>> parseACL(java.lang.String[] aclArray,
                                                                                                 java.lang.String owner)

  Take the a String representing an array of ACLs and return a HashMap mapping the SQL permission name to a ArrayList of usernames who have that permission.

### getBestRowIdentifier

    public java.sql.ResultSet getBestRowIdentifier(java.lang.String catalog,
                                                   java.lang.String schema,
                                                   java.lang.String table,
                                                   int scope,
                                                   boolean nullable)
                                            throws java.sql.SQLException

  Specified by:
    `getBestRowIdentifier` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getVersionColumns

    public java.sql.ResultSet getVersionColumns(java.lang.String catalog,
                                                java.lang.String schema,
                                                java.lang.String table)
                                         throws java.sql.SQLException

  Specified by:
    `getVersionColumns` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getPrimaryKeys

    public java.sql.ResultSet getPrimaryKeys(java.lang.String catalog,
                                             java.lang.String schema,
                                             java.lang.String table)
                                      throws java.sql.SQLException

  Specified by:
    `getPrimaryKeys` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getImportedExportedKeys

    protected java.sql.ResultSet getImportedExportedKeys(java.lang.String primaryCatalog,
                                                         java.lang.String primarySchema,
                                                         java.lang.String primaryTable,
                                                         java.lang.String foreignCatalog,
                                                         java.lang.String foreignSchema,
                                                         java.lang.String foreignTable)
                                                  throws java.sql.SQLException

  Parameters:
    `primaryCatalog` -
    `primarySchema` -
    `primaryTable` - if provided will get the keys exported by this table
    `foreignTable` - if provided will get the keys imported by this table
  Returns:
    ResultSet
  Throws:
    `java.sql.SQLException`

### getImportedKeys

    public java.sql.ResultSet getImportedKeys(java.lang.String catalog,
                                              java.lang.String schema,
                                              java.lang.String table)
                                       throws java.sql.SQLException

  Specified by:
    `getImportedKeys` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getExportedKeys

    public java.sql.ResultSet getExportedKeys(java.lang.String catalog,
                                              java.lang.String schema,
                                              java.lang.String table)
                                       throws java.sql.SQLException

  Specified by:
    `getExportedKeys` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getCrossReference

    public java.sql.ResultSet getCrossReference(java.lang.String primaryCatalog,
                                                java.lang.String primarySchema,
                                                java.lang.String primaryTable,
                                                java.lang.String foreignCatalog,
                                                java.lang.String foreignSchema,
                                                java.lang.String foreignTable)
                                         throws java.sql.SQLException

  Specified by:
    `getCrossReference` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getTypeInfo

    public java.sql.ResultSet getTypeInfo()
                                   throws java.sql.SQLException

  Specified by:
    `getTypeInfo` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getIndexInfo

    public java.sql.ResultSet getIndexInfo(java.lang.String catalog,
                                           java.lang.String schema,
                                           java.lang.String tableName,
                                           boolean unique,
                                           boolean approximate)
                                    throws java.sql.SQLException

  Specified by:
    `getIndexInfo` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsResultSetType

    public boolean supportsResultSetType(int type)
                                  throws java.sql.SQLException

  Specified by:
    `supportsResultSetType` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsResultSetConcurrency

    public boolean supportsResultSetConcurrency(int type,
                                                int concurrency)
                                         throws java.sql.SQLException

  Specified by:
    `supportsResultSetConcurrency` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### ownUpdatesAreVisible

    public boolean ownUpdatesAreVisible(int type)
                                 throws java.sql.SQLException

  Specified by:
    `ownUpdatesAreVisible` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### ownDeletesAreVisible

    public boolean ownDeletesAreVisible(int type)
                                 throws java.sql.SQLException

  Specified by:
    `ownDeletesAreVisible` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### ownInsertsAreVisible

    public boolean ownInsertsAreVisible(int type)
                                 throws java.sql.SQLException

  Specified by:
    `ownInsertsAreVisible` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### othersUpdatesAreVisible

    public boolean othersUpdatesAreVisible(int type)
                                    throws java.sql.SQLException

  Specified by:
    `othersUpdatesAreVisible` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### othersDeletesAreVisible

    public boolean othersDeletesAreVisible(int i)
                                    throws java.sql.SQLException

  Specified by:
    `othersDeletesAreVisible` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### othersInsertsAreVisible

    public boolean othersInsertsAreVisible(int type)
                                    throws java.sql.SQLException

  Specified by:
    `othersInsertsAreVisible` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### updatesAreDetected

    public boolean updatesAreDetected(int type)
                               throws java.sql.SQLException

  Specified by:
    `updatesAreDetected` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### deletesAreDetected

    public boolean deletesAreDetected(int i)
                               throws java.sql.SQLException

  Specified by:
    `deletesAreDetected` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### insertsAreDetected

    public boolean insertsAreDetected(int type)
                               throws java.sql.SQLException

  Specified by:
    `insertsAreDetected` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsBatchUpdates

    public boolean supportsBatchUpdates()
                                 throws java.sql.SQLException

  Specified by:
    `supportsBatchUpdates` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getUDTs

    public java.sql.ResultSet getUDTs(java.lang.String catalog,
                                      java.lang.String schemaPattern,
                                      java.lang.String typeNamePattern,
                                      int[] types)
                               throws java.sql.SQLException

  Specified by:
    `getUDTs` in interface `java.sql.DatabaseMetaData`
  Parameters:
    `catalog` - String
    `schemaPattern` - String
    `typeNamePattern` - String
    `types` - int[]
  Returns:
    ResultSet
  Throws:
    `java.sql.SQLException`

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Specified by:
    `getConnection` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### rowChangesAreDetected

    public boolean rowChangesAreDetected(int type)
                                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### rowChangesAreVisible

    public boolean rowChangesAreVisible(int type)
                                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### supportsSavepoints

    public boolean supportsSavepoints()
                               throws java.sql.SQLException

  Retrieves whether this database supports savepoints.

  Specified by:
    `supportsSavepoints` in interface `java.sql.DatabaseMetaData`
  Returns:
    `true` if savepoints are supported; `false` otherwise
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    1.4

### supportsNamedParameters

    public boolean supportsNamedParameters()
                                    throws java.sql.SQLException

  Retrieves whether this database supports named parameters to callable statements.

  Specified by:
    `supportsNamedParameters` in interface `java.sql.DatabaseMetaData`
  Returns:
    `true` if named parameters are supported; `false` otherwise
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    1.4

### supportsMultipleOpenResults

    public boolean supportsMultipleOpenResults()
                                        throws java.sql.SQLException

  Retrieves whether it is possible to have multiple `ResultSet` objects returned from a `CallableStatement` object simultaneously.

  Specified by:
    `supportsMultipleOpenResults` in interface `java.sql.DatabaseMetaData`
  Returns:
    `true` if a `CallableStatement` object can return multiple `ResultSet` objects simultaneously; `false` otherwise
  Throws:
    `java.sql.SQLException` - if a datanase access error occurs
  Since:
    1.4

### supportsGetGeneratedKeys

    public boolean supportsGetGeneratedKeys()
                                     throws java.sql.SQLException

  Retrieves whether auto-generated keys can be retrieved after a statement has been executed.

  Specified by:
    `supportsGetGeneratedKeys` in interface `java.sql.DatabaseMetaData`
  Returns:
    `true` if auto-generated keys can be retrieved after a statement has executed; `false` otherwise
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    1.4

### getSuperTypes

    public java.sql.ResultSet getSuperTypes(java.lang.String catalog,
                                            java.lang.String schemaPattern,
                                            java.lang.String typeNamePattern)
                                     throws java.sql.SQLException

  Retrieves a description of the user-defined type (UDT) hierarchies defined in a particular schema in this database. Only the immediate super type/ sub type relationship is modeled.

  Only supertype information for UDTs matching the catalog, schema, and type name is returned. The type name parameter may be a fully-qualified name. When the UDT name supplied is a fully-qualified name, the catalog and schemaPattern parameters are ignored.

  If a UDT does not have a direct super type, it is not listed here. A row of the `ResultSet` object returned by this method describes the designated UDT and a direct supertype. A row has the following columns:

  1. TYPE_CAT String => the UDT's catalog (may be `null`)
  2. TYPE_SCHEM String => UDT's schema (may be `null`)
  3. TYPE_NAME String => type name of the UDT
  4. SUPERTYPE_CAT String => the direct super type's catalog (may be `null`)
  5. SUPERTYPE_SCHEM String => the direct super type's schema (may be `null`)
  6. SUPERTYPE_NAME String => the direct super type's name

  Note: If the driver does not support type hierarchies, an empty result set is returned.

  Specified by:
    `getSuperTypes` in interface `java.sql.DatabaseMetaData`
  Parameters:
    `catalog` - a catalog name; "" retrieves those without a catalog; `null` means drop catalog name from the selection criteria
    `schemaPattern` - a schema name pattern; "" retrieves those without a schema
    `typeNamePattern` - a UDT name pattern; may be a fully-qualified name
  Returns:
    a `ResultSet` object in which a row gives information about the designated UDT
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    1.4

### getSuperTables

    public java.sql.ResultSet getSuperTables(java.lang.String catalog,
                                             java.lang.String schemaPattern,
                                             java.lang.String tableNamePattern)
                                      throws java.sql.SQLException

  Retrieves a description of the table hierarchies defined in a particular schema in this database.

  Only supertable information for tables matching the catalog, schema and table name are returned. The table name parameter may be a fully- qualified name, in which case, the catalog and schemaPattern parameters are ignored. If a table does not have a super table, it is not listed here. Supertables have to be defined in the same catalog and schema as the sub tables. Therefore, the type description does not need to include this information for the supertable.

  Each type description has the following columns:

  1. TABLE_CAT String => the type's catalog (may be `null`)
  2. TABLE_SCHEM String => type's schema (may be `null`)
  3. TABLE_NAME String => type name
  4. SUPERTABLE_NAME String => the direct super type's name

  Note: If the driver does not support type hierarchies, an empty result set is returned.

  Specified by:
    `getSuperTables` in interface `java.sql.DatabaseMetaData`
  Parameters:
    `catalog` - a catalog name; "" retrieves those without a catalog; `null` means drop catalog name from the selection criteria
    `schemaPattern` - a schema name pattern; "" retrieves those without a schema
    `tableNamePattern` - a table name pattern; may be a fully-qualified name
  Returns:
    a `ResultSet` object in which each row is a type description
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    1.4

### getAttributes

    public java.sql.ResultSet getAttributes(java.lang.String catalog,
                                            java.lang.String schemaPattern,
                                            java.lang.String typeNamePattern,
                                            java.lang.String attributeNamePattern)
                                     throws java.sql.SQLException

  Retrieves a description of the given attribute of the given type for a user-defined type (UDT) that is available in the given schema and catalog.

  Descriptions are returned only for attributes of UDTs matching the catalog, schema, type, and attribute name criteria. They are ordered by TYPE_SCHEM, TYPE_NAME and ORDINAL_POSITION. This description does not contain inherited attributes.

  The `ResultSet` object that is returned has the following columns:

  1. TYPE_CAT String => type catalog (may be `null`)
  2. TYPE_SCHEM String => type schema (may be `null`)
  3. TYPE_NAME String => type name
  4. ATTR_NAME String => attribute name
  5. DATA_TYPE short => attribute type SQL type from java.sql.Types
  6. ATTR_TYPE_NAME String => Data source dependent type name. For a UDT, the type name is fully qualified. For a REF, the type name is fully qualified and represents the target type of the reference type.
  7. ATTR_SIZE int => column size. For char or date types this is the maximum number of characters; for numeric or decimal types this is precision.
  8. DECIMAL_DIGITS int => the number of fractional digits
  9. NUM_PREC_RADIX int => Radix (typically either 10 or 2)
  10. NULLABLE int => whether NULL is allowed
      - attributeNoNulls - might not allow NULL values
      - attributeNullable - definitely allows NULL values
      - attributeNullableUnknown - nullability unknown
  11. REMARKS String => comment describing column (may be `null`)
  12. ATTR_DEF String => default value (may be `null`)
  13. SQL_DATA_TYPE int => unused
  14. SQL_DATETIME_SUB int => unused
  15. CHAR_OCTET_LENGTH int => for char types the maximum number of bytes in the column
  16. ORDINAL_POSITION int => index of column in table (starting at 1)
  17. IS_NULLABLE String => "NO" means column definitely does not allow NULL values; "YES" means the column might allow NULL values. An empty string means unknown.
  18. SCOPE_CATALOG String => catalog of table that is the scope of a reference attribute (`null` if DATA_TYPE isn't REF)
  19. SCOPE_SCHEMA String => schema of table that is the scope of a reference attribute (`null` if DATA_TYPE isn't REF)
  20. SCOPE_TABLE String => table name that is the scope of a reference attribute (`null` if the DATA_TYPE isn't REF)
  21. SOURCE_DATA_TYPE short => source type of a distinct type or user-generated Ref type,SQL type from java.sql.Types (`null` if DATA_TYPE isn't DISTINCT or user-generated REF)

  Specified by:
    `getAttributes` in interface `java.sql.DatabaseMetaData`
  Parameters:
    `catalog` - a catalog name; must match the catalog name as it is stored in the database; "" retrieves those without a catalog; `null` means that the catalog name should not be used to narrow the search
    `schemaPattern` - a schema name pattern; must match the schema name as it is stored in the database; "" retrieves those without a schema; `null` means that the schema name should not be used to narrow the search
    `typeNamePattern` - a type name pattern; must match the type name as it is stored in the database
    `attributeNamePattern` - an attribute name pattern; must match the attribute name as it is declared in the database
  Returns:
    a `ResultSet` object in which each row is an attribute description
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    1.4

### supportsResultSetHoldability

    public boolean supportsResultSetHoldability(int holdability)
                                         throws java.sql.SQLException

  Retrieves whether this database supports the given result set holdability.

  Specified by:
    `supportsResultSetHoldability` in interface `java.sql.DatabaseMetaData`
  Parameters:
    `holdability` - one of the following constants: `ResultSet.HOLD_CURSORS_OVER_COMMIT` or `ResultSet.CLOSE_CURSORS_AT_COMMIT```
  Returns:
    `true` if so; `false` otherwise
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    1.4
  See Also:
    `Connection`

### getResultSetHoldability

    public int getResultSetHoldability()
                                throws java.sql.SQLException

  Retrieves the default holdability of this `ResultSet` object.

  Specified by:
    `getResultSetHoldability` in interface `java.sql.DatabaseMetaData`
  Returns:
    the default holdability; either `ResultSet.HOLD_CURSORS_OVER_COMMIT` or `ResultSet.CLOSE_CURSORS_AT_COMMIT`
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    1.4

### getDatabaseMajorVersion

    public int getDatabaseMajorVersion()
                                throws java.sql.SQLException

  Retrieves the major version number of the underlying database.

  Specified by:
    `getDatabaseMajorVersion` in interface `java.sql.DatabaseMetaData`
  Returns:
    the underlying database's major version
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    1.4

### getDatabaseMinorVersion

    public int getDatabaseMinorVersion()
                                throws java.sql.SQLException

  Retrieves the minor version number of the underlying database.

  Specified by:
    `getDatabaseMinorVersion` in interface `java.sql.DatabaseMetaData`
  Returns:
    underlying database's minor version
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    1.4

### getJDBCMajorVersion

    public int getJDBCMajorVersion()
                            throws java.sql.SQLException

  Retrieves the major JDBC version number for this driver.

  Specified by:
    `getJDBCMajorVersion` in interface `java.sql.DatabaseMetaData`
  Returns:
    JDBC version major number
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    1.4

### getJDBCMinorVersion

    public int getJDBCMinorVersion()
                            throws java.sql.SQLException

  Retrieves the minor JDBC version number for this driver.

  Specified by:
    `getJDBCMinorVersion` in interface `java.sql.DatabaseMetaData`
  Returns:
    JDBC version minor number
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    1.4

### getSQLStateType

    public int getSQLStateType()
                        throws java.sql.SQLException

  Indicates whether the SQLSTATEs returned by `SQLException.getSQLState` is X/Open (now known as Open Group) SQL CLI or SQL99.

  Specified by:
    `getSQLStateType` in interface `java.sql.DatabaseMetaData`
  Returns:
    the type of SQLSTATEs, one of: sqlStateXOpen or sqlStateSQL99
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    1.4

### locatorsUpdateCopy

    public boolean locatorsUpdateCopy()
                               throws java.sql.SQLException

  Indicates whether updates made to a LOB are made on a copy or directly to the LOB.

  Specified by:
    `locatorsUpdateCopy` in interface `java.sql.DatabaseMetaData`
  Returns:
    `true` if updates are made to a copy of the LOB; `false` if updates are made directly to the LOB
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    1.4

### supportsStatementPooling

    public boolean supportsStatementPooling()
                                     throws java.sql.SQLException

  Retrieves weather this database supports statement pooling.

  Specified by:
    `supportsStatementPooling` in interface `java.sql.DatabaseMetaData`
  Returns:
    `true` is so; `false` otherwise
  Throws:
    `SQLExcpetion` - if a database access error occurs
    `java.sql.SQLException`
  Since:
    1.4

### autoCommitFailureClosesAllResultSets

    public boolean autoCommitFailureClosesAllResultSets()
                                                 throws java.sql.SQLException

  Specified by:
    `autoCommitFailureClosesAllResultSets` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getClientInfoProperties

    public java.sql.ResultSet getClientInfoProperties()
                                               throws java.sql.SQLException

  Specified by:
    `getClientInfoProperties` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getFunctionColumns

    public java.sql.ResultSet getFunctionColumns(java.lang.String catalog,
                                                 java.lang.String schemaPattern,
                                                 java.lang.String functionNamePattern,
                                                 java.lang.String columnNamePattern)
                                          throws java.sql.SQLException

  Specified by:
    `getFunctionColumns` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getFunctions

    public java.sql.ResultSet getFunctions(java.lang.String catalog,
                                           java.lang.String schemaPattern,
                                           java.lang.String functionNamePattern)
                                    throws java.sql.SQLException

  Specified by:
    `getFunctions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getRowIdLifetime

    public java.sql.RowIdLifetime getRowIdLifetime()
                                            throws java.sql.SQLException

  Specified by:
    `getRowIdLifetime` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getSchemas

    public java.sql.ResultSet getSchemas(java.lang.String catalog,
                                         java.lang.String schemaPattern)
                                  throws java.sql.SQLException

  Specified by:
    `getSchemas` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsStoredFunctionsUsingCallSyntax

    public boolean supportsStoredFunctionsUsingCallSyntax()
                                                   throws java.sql.SQLException

  Specified by:
    `supportsStoredFunctionsUsingCallSyntax` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### isWrapperFor

    public boolean isWrapperFor(java.lang.Class<?> iface)
                         throws java.sql.SQLException

  Specified by:
    `isWrapperFor` in interface `java.sql.Wrapper`
  Throws:
    `java.sql.SQLException`

### unwrap

    public <T> T unwrap(java.lang.Class<T> iface)
             throws java.sql.SQLException

  Specified by:
    `unwrap` in interface `java.sql.Wrapper`
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT